Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.activity
Class ActivityStackEvent

    java.lang.Object
      org.eclipse.birt.report.model.api.activity.ActivityStackEvent

    public class ActivityStackEvent

extends java.lang.Object

This event class identifies that the activity stack changes. This event includes the stack that change and the action causing this event.

Field Summary
`static int` | `DONE` One record is executed or one transaction is committed.
`static int` | `REDONE` The latest record or transaction is redone.
`static int` | `ROLL_BACK` The outermost transaction is rolled back.
`static int` | `UNDONE` The latest record or transaction is undone.

Constructor Summary
`ActivityStackEvent(org.eclipse.birt.report.model.activity.ActivityStack theStack, int theAction)` Constructs with the stack that changes and the action causing this event.

Method Summary
`int` | `getAction()` Returns the action which causes this event.
`org.eclipse.birt.report.model.activity.ActivityStack` | `getStack()` Returns the stack that changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DONE

    public static final int DONE

  One record is executed or one transaction is committed.

  See Also:
    Constant Field Values

### REDONE

    public static final int REDONE

  The latest record or transaction is redone.

  See Also:
    Constant Field Values

### UNDONE

    public static final int UNDONE

  The latest record or transaction is undone.

  See Also:
    Constant Field Values

### ROLL_BACK

    public static final int ROLL_BACK

  The outermost transaction is rolled back.

  See Also:
    Constant Field Values

Constructor Detail

### ActivityStackEvent

    public ActivityStackEvent(org.eclipse.birt.report.model.activity.ActivityStack theStack,
                              int theAction)

  Constructs with the stack that changes and the action causing this event.

  Parameters:
    `theStack` - the stack that changes
    `theAction` - the action causing this event

Method Detail

### getAction

    public int getAction()

  Returns the action which causes this event. The possible value is:

  - `DONE`
  - `REDONE`
  - `UNDONE`

  Returns:
    the action which causes this event.

### getStack

    public org.eclipse.birt.report.model.activity.ActivityStack getStack()

  Returns the stack that changes.

  Returns:
    the stack that changes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.